org.apache.cassandra.transport

## Class Event

- java.lang.Object
- - org.apache.cassandra.transport.Event

Direct Known Subclasses:
  Event.NodeEvent, Event.SchemaChange

    public abstract class Event
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Event.NodeEvent`
`static class` `Event.SchemaChange`
`static class` `Event.StatusChange`
`static class` `Event.TopologyChange`
`static class` `Event.Type`

### Field Summary

Fields
`Event.Type` `type`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static Event` `deserialize(io.netty.buffer.ByteBuf cb, ProtocolVersion version)`
`protected abstract int` `eventSerializedSize(ProtocolVersion version)`
`void` `serialize(io.netty.buffer.ByteBuf dest, ProtocolVersion version)`
`int` `serializedSize(ProtocolVersion version)`
`protected abstract void` `serializeEvent(io.netty.buffer.ByteBuf dest, ProtocolVersion version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### type

    public final Event.Type type

### Method Detail

#### deserialize

    public static Event deserialize(io.netty.buffer.ByteBuf cb,
                                    ProtocolVersion version)

#### serialize

    public void serialize(io.netty.buffer.ByteBuf dest,
                          ProtocolVersion version)

#### serializedSize

    public int serializedSize(ProtocolVersion version)

#### serializeEvent

    protected abstract void serializeEvent(io.netty.buffer.ByteBuf dest,
                                           ProtocolVersion version)

#### eventSerializedSize

    protected abstract int eventSerializedSize(ProtocolVersion version)